Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1595887 - Backport to OSP 13: Add DB cleanup functionality to nova-manage.
Summary: Backport to OSP 13: Add DB cleanup functionality to nova-manage.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: nova-maint
QA Contact: nova-maint
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On: 1154875
Blocks: 1541693 1595886
TreeView+ depends on / blocked
 
Reported: 2018-06-27 16:48 UTC by Andreas Karis
Modified: 2019-02-17 13:05 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1154875
Environment:
Last Closed: 2018-08-21 14:01:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 137669 None None None 2018-06-27 16:48:24 UTC
OpenStack gerrit 200224 None None None 2018-06-27 16:48:24 UTC
OpenStack gerrit 203751 None None None 2018-06-27 16:48:24 UTC
Red Hat Knowledge Base (Solution) 3190162 None None None 2018-06-27 16:48:24 UTC

Comment 1 Andreas Karis 2018-06-27 16:49:14 UTC
Requesting a backport to OSP 13 for this feature:

----------------

This is now fully merged upstream.

To test this, it's possible to just use the existing archive command on a database with deleted records:

 nova-manage db archive_deleted_rows --all-cells --purge --verbose --until-complete


Note You need to log in before you can comment on or make changes to this bug.